--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/examples/eg-24-prov-o-html-examples/rdf/create/check-examples.bash Mon Jul 02 22:42:49 2012 +0100
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Check if cwm is installed
+cwm < /dev/null > /dev/null || {
+ echo "Try:
+ sudo apt-get install cwm
+or install from:
+ http://www.w3.org/2000/10/swap/doc/cwm.html" >&2 ; exit
+}
+
+# Check each file with cwm, echo filename if OK
+# cwm will output any errors to stderr otherwise
+for f in $(find rdf -name '*ttl') ; do
+ cwm $f > /dev/null && echo $f
+done
--- a/examples/eg-24-prov-o-html-examples/rdf/create/check-with-cwm.bash Mon Jul 02 22:41:36 2012 +0100
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-set -e
-
-# Check if cwm is installed
-cwm < /dev/null > /dev/null || {
- echo "Try:
- sudo apt-get install cwm
-or install from:
- http://www.w3.org/2000/10/swap/doc/cwm.html" >&2 ; exit
-}
-
-# Check each file with cwm, echo filename if OK
-# cwm will output any errors to stderr otherwise
-for f in $(find rdf -name '*ttl') ; do
- cwm $f > /dev/null && echo $f
-done
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/examples/eg-24-prov-o-html-examples/rdf/create/merge-examples.bash Mon Jul 02 22:42:49 2012 +0100
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+BASE="http://dvcs.w3.org/hg/prov/raw-file/tip/examples/eg-24-prov-o-html-examples/rdf/create/"
+
+set -e
+cp merged-header.ttl merged.ttl
+# Only parseables are included in merging
+./check-examples.bash 2>/dev/null | while read f ; do
+ echo "@base <${BASE}${f}> ." >> merged.ttl
+ cat $f >> merged.ttl
+done
--- a/examples/eg-24-prov-o-html-examples/rdf/create/merge-with-cwm.bash Mon Jul 02 22:41:36 2012 +0100
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,11 +0,0 @@
-#!/bin/bash
-
-BASE="http://dvcs.w3.org/hg/prov/raw-file/tip/examples/eg-24-prov-o-html-examples/rdf/create/"
-
-set -e
-cp merged-header.ttl merged.ttl
-# Only parseables are included in merging
-./check-with-cwm.bash 2>/dev/null | while read f ; do
- echo "@base <${BASE}${f}> ." >> merged.ttl
- cat $f >> merged.ttl
-done